<template>
    <section class="contact_main">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-6  col-md-6 col-lg-4">
                    <div class="home_contact_cont">
                        <h3>Arrange your rentals today</h3>
                        <p>One of the best advantages of hiring from Perth Rentals Hire; <b>if any of our equipment breaks
                                down we come out and fix it or replace it.</b></p>
                        
                        <div class="contact_home_btm">
                            <p> Order online or Call: </p>
                            <p class="contact_home_number"><a href="tel:0893797375">08 9379 7375</a></p>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4">
                    <div class="contact_home_form">
                        <h3>Enquiry?</h3>
                        <p>Please send us your enquiries by filling in the form below.</p>
                        <v-app class="vue-front-end-fixed" >
        <v-row>
          <v-col cols="12" v-if="loading"><loading :loading="loading"></loading></v-col>
          <v-col cols="12" v-if="!loading">
            <v-alert
              dense
              outlined
              type="success"
              color="white"
              v-if="success"
              class="mt-4"
            >
              Thank you for reaching out to us! Our team is now in the process of reviewing the information you provided., We will contact you soon..
            </v-alert>
          </v-col>
        </v-row>
      </v-app>
        <ValidationObserver ref="form">
            <div class="row form_contact">
                <div class="col-12">
                    <ValidationProvider name="Name" rules="required" v-slot="{errors}">
                        <input type="text" placeholder="Name" v-model="form.name" class="txtbox">
                        <span class="red--text" v-if="errors.length>0"> {{ errors[0] }}</span>
                    </ValidationProvider>
                </div>
                <div class="col-xs-12 col-sm-6">
                    <ValidationProvider name="Phone Number" rules="required|digits:10" v-slot="{errors}">
                        <input type="text" placeholder="Phone Number" v-model="form.phone_no" class="txtbox">
                        <span class="red--text" v-if="errors.length>0"> {{ errors[0] }}</span>
                    </ValidationProvider>
                </div>
                <div class="col-xs-12 col-sm-6">
                    <ValidationProvider name="Email" rules="required|email" v-slot="{errors}">
                        <input type="text" placeholder="Email" v-model="form.email" class="txtbox">
                        <span class="red--text" v-if="errors.length>0"> {{ errors[0] }}</span>
                    </ValidationProvider>
                </div>
                <div class="col-12">
                    <ValidationProvider name="Message" rules="required" v-slot="{errors}">
                        <textarea class="txtbox" cols="100" v-model="form.message" placeholder="How may we serve you?"></textarea>
                        <span class="red--text" v-if="errors.length>0"> {{ errors[0] }}</span>
                    </ValidationProvider>
                </div>
                <div class="col-12">
                    <input type="button" value="SEND" class="btn" @click="validateForm()">
                </div>
            </div>
        </ValidationObserver>
                        
                    </div>
                </div>
            </div>
        </div>
        <div class="home_contact">
            <div class="contact_left_home"></div>
            <div class="google_map"><iframe
                    src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d25567.68847601238!2d115.9345510801089!3d-31.933675183353138!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x2a32ba3dcf7579c1%3A0x8af2db96d91c1cb7!2sPerth%20rentals%20hire!5e0!3m2!1sen!2sin!4v1696669149904!5m2!1sen!2sin"
                    width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy"
                    referrerpolicy="no-referrer-when-downgrade"></iframe></div>
        </div>
    </section>
</template>
<script>
import { ValidationObserver } from 'vee-validate';

export default {
    data() {
        return {
            form: {},
            errors: {},
            loading: false,
            success: false,
            domain: this.$store.state.front_end_data.domain,
        };
    },
    components: { ValidationObserver },
    methods: {
        validateForm() {
            this.$refs.form.validate().then((success)=>{
                if(success) {
                    this.errors = false;
                    this.loading = true;
                    this.form.domain_id   = this.domain.id;
                    this.$axios.$post('/api/store-contact-enquiry-data',this.form)
                    .then(resp=>{
                      this.success = true;
                      this.loading = false;
                      this.form = {};
                      this.$refs.form.reset();
                    });
                }
                else {
                    this.errors = this.$refs.form.errors;
                }
            });
        }
    }
}
</script>